Bug 685006 - Missing parameter to Gate().process() in PPC64-specific code
Missing parameter to Gate().process() in PPC64-specific code
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
16
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-14 23:22 EDT by Steven Lawrance
Modified: 2013-02-13 19:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 19:37:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add arg (584 bytes, patch)
2011-03-14 23:22 EDT, Steven Lawrance
no flags Details | Diff

  None (edit)
Description Steven Lawrance 2011-03-14 23:22:39 EDT
Created attachment 484347 [details]
Patch to add arg

Description of problem:


Version-Release number of selected component (if applicable):
1.4.2.2-8

How reproducible:
Always

Steps to Reproduce:
1. Run smolt on an IBM [JQ]S2[01]
  
Actual results:
Python exception (insufficient positional arguments)

Expected results:
Hardware info gathered and reported

Additional info:
Occurs around line 349 in client/smolt.py in the tempform == 'ppc64' clause.

See attached (trivial) patch.
Comment 1 Karsten Hopp 2013-02-07 10:20:36 EST
I think this is a F16 bug, F18 or rawhide don't include smolt anymore
Comment 2 Fedora End Of Life 2013-02-13 19:37:58 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.